> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the compliance checklist for a transaction in a given scope



## OpenAPI

````yaml /openapi/transactions.json get /transactions/{id}/checklist
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/{id}/checklist:
    get:
      tags:
        - Transactions
      summary: Get the compliance checklist for a transaction in a given scope
      operationId: transactions.checklist
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: scope
          in: query
          required: true
          schema:
            enum:
              - base
              - MX:AV
              - MX:AV:ARI
              - MX:AV:AVI
              - MX:AV:INM
              - MX:AV:JYS
              - MX:AV:MJR
              - MX:AV:MPC
              - MX:AV:TSC
              - MX:AV:VEH
              - MX:CNBV
              - MX:CNBV:TRANSMISOR
              - MX
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: includeChildren
          in: query
          required: false
          schema:
            type: boolean
            default: true
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resourceType:
                    enum:
                      - client
                      - transaction
                    type: string
                  resourceId:
                    type: string
                    minLength: 1
                  scope:
                    enum:
                      - base
                      - MX:AV
                      - MX:AV:ARI
                      - MX:AV:AVI
                      - MX:AV:INM
                      - MX:AV:JYS
                      - MX:AV:MJR
                      - MX:AV:MPC
                      - MX:AV:TSC
                      - MX:AV:VEH
                      - MX:CNBV
                      - MX:CNBV:TRANSMISOR
                      - MX
                    type: string
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                        label:
                          type: string
                          minLength: 1
                        status:
                          enum:
                            - ok
                            - missing
                            - invalid
                          type: string
                        message:
                          type: string
                        levels:
                          type: array
                          minItems: 1
                          items:
                            type: string
                            minLength: 1
                        kind:
                          const: rollup
                        rollup:
                          type: object
                          properties:
                            resourceType:
                              enum:
                                - address
                                - legalRep
                                - beneficialOwner
                                - evidence
                                - transactionParty
                              type: string
                            total:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            okCount:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            worstStatus:
                              enum:
                                - ok
                                - missing
                                - invalid
                              type: string
                            children:
                              type: array
                              items:
                                type: object
                                properties:
                                  resourceId:
                                    type: string
                                    minLength: 1
                                  items:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          minLength: 1
                                        label:
                                          type: string
                                          minLength: 1
                                        status:
                                          enum:
                                            - ok
                                            - missing
                                            - invalid
                                          type: string
                                        message:
                                          type: string
                                        levels:
                                          type: array
                                          minItems: 1
                                          items:
                                            type: string
                                            minLength: 1
                                        kind:
                                          const: rollup
                                        rollup:
                                          type: object
                                          properties:
                                            resourceType:
                                              enum:
                                                - address
                                                - legalRep
                                                - beneficialOwner
                                                - evidence
                                                - transactionParty
                                              type: string
                                            total:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                            okCount:
                                              type: integer
                                              minimum: 0
                                              maximum: 9007199254740991
                                            worstStatus:
                                              enum:
                                                - ok
                                                - missing
                                                - invalid
                                              type: string
                                            children:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  resourceId: {}
                                                  items: {}
                                          required:
                                            - resourceType
                                            - total
                                            - okCount
                                            - worstStatus
                                      required:
                                        - id
                                        - label
                                        - status
                                required:
                                  - resourceId
                                  - items
                          required:
                            - resourceType
                            - total
                            - okCount
                            - worstStatus
                      required:
                        - id
                        - label
                        - status
                  complete:
                    type: object
                    propertyNames:
                      type: string
                      minLength: 1
                    additionalProperties:
                      type: boolean
                required:
                  - resourceType
                  - resourceId
                  - scope
                  - items
                  - complete
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````